/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class OrvsManuelsCreationView extends javax.swing.JPanel {

	private static final long serialVersionUID = 4324011161081185269L;
	protected EODisplayGroup eodDepense;
	protected ZEOTable myEOTableDepense;
	protected ZEOTableModel myTableModelDepense;
	protected TableSorter myTableSorterDepense;

    /** Creates new form TemplateJPanel */
    public OrvsManuelsCreationView(EODisplayGroup dgDepenses) {

        eodDepense = dgDepenses;
                
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonFind = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        tfFiltreBordereau = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        listeExcercices = new javax.swing.JComboBox();
        tfLigneBudgetaire = new javax.swing.JTextField();
        tfFiltreLibelleFacture = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        tfFiltreEngagement = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        buttonDelLbud = new javax.swing.JButton();
        tfFiltreMandat = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        tfFiltreCompte = new javax.swing.JTextField();
        buttonGetLbud = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        viewTableDepenses = new javax.swing.JPanel();
        buttonReverser = new javax.swing.JButton();
        jTextField1 = new javax.swing.JTextField();
        tfNbDepenses = new javax.swing.JLabel();

        buttonFind.setText("Lancer la recherche");
        buttonFind.setToolTipText("Recherche des agents suivant les critères de sélection");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Compte :");

        tfFiltreBordereau.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jTextField2.setBackground(new java.awt.Color(204, 204, 255));
        jTextField2.setEditable(false);
        jTextField2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField2.setText("Filtres de recherche");
        jTextField2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField2ActionPerformed(evt);
            }
        });

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("No Engagement :");

        listeExcercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        listeExcercices.setToolTipText("Budget");
        listeExcercices.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listeExcercicesActionPerformed(evt);
            }
        });

        tfLigneBudgetaire.setEditable(false);
        tfLigneBudgetaire.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfLigneBudgetaire.setEnabled(false);
        tfLigneBudgetaire.setFocusable(false);

        tfFiltreLibelleFacture.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Bordereau :");

        tfFiltreEngagement.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Ligne Budgétaire :");

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Exercice :");

        buttonDelLbud.setToolTipText("Recherche des pièces mandats");

        tfFiltreMandat.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Mandat :");

        tfFiltreCompte.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        buttonGetLbud.setToolTipText("Recherche des pièces mandats");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Libellé Facture :");

        viewTableDepenses.setLayout(new java.awt.BorderLayout());

        buttonReverser.setToolTipText("Reverser une somme sur la dépense sélectionnée");

        jTextField1.setBackground(new java.awt.Color(204, 204, 255));
        jTextField1.setEditable(false);
        jTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField1.setText("Dépenses");
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        tfNbDepenses.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        tfNbDepenses.setForeground(new java.awt.Color(51, 51, 255));
        tfNbDepenses.setText("0 Dépenses");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 890, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(layout.createSequentialGroup()
                                        .add(listeExcercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(tfFiltreBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(layout.createSequentialGroup()
                                        .add(tfFiltreCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18)
                                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(tfFiltreMandat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(tfFiltreEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 217, Short.MAX_VALUE)
                                        .add(buttonFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 178, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(tfFiltreLibelleFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 346, Short.MAX_VALUE))))
                            .add(layout.createSequentialGroup()
                                .add(tfLigneBudgetaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 221, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 515, Short.MAX_VALUE))))
                    .add(tfNbDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 188, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(layout.createSequentialGroup()
                    .addContainerGap()
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 880, Short.MAX_VALUE)
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                            .add(9, 9, 9)
                            .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 842, Short.MAX_VALUE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(buttonReverser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .addContainerGap()))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12)
                    .add(listeExcercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(tfFiltreEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfFiltreCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonFind))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(tfFiltreBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(tfFiltreMandat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(tfFiltreLibelleFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(tfLigneBudgetaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 433, Short.MAX_VALUE)
                .add(tfNbDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(layout.createSequentialGroup()
                    .add(122, 122, 122)
                    .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(buttonReverser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 389, Short.MAX_VALUE))
                    .add(44, 44, 44)))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jTextField2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField2ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextField2ActionPerformed

    private void listeExcercicesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listeExcercicesActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_listeExcercicesActionPerformed

    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextField1ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton buttonDelLbud;
    private javax.swing.JButton buttonFind;
    private javax.swing.JButton buttonGetLbud;
    private javax.swing.JButton buttonReverser;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    protected javax.swing.JComboBox listeExcercices;
    private javax.swing.JTextField tfFiltreBordereau;
    private javax.swing.JTextField tfFiltreCompte;
    private javax.swing.JTextField tfFiltreEngagement;
    private javax.swing.JTextField tfFiltreLibelleFacture;
    private javax.swing.JTextField tfFiltreMandat;
    private javax.swing.JTextField tfLigneBudgetaire;
    private javax.swing.JLabel tfNbDepenses;
    private javax.swing.JPanel viewTableDepenses;
    // End of variables declaration//GEN-END:variables

    
	public void setListeExercices(NSArray exercices) {

        listeExcercices.removeAllItems();
        for (int i=0;i<exercices.count();i++)
        	listeExcercices.addItem(exercices.objectAtIndex(i));
    }
    public void setSelectedExercice(Object exercice) {
    	listeExcercices.setSelectedItem(exercice);
    }          

    
    private void initGui() {
    	                
        buttonGetLbud.setIcon(KakiIcones.ICON_SELECT_16);
        buttonDelLbud.setIcon(KakiIcones.ICON_DELETE);
        buttonFind.setIcon(KakiIcones.ICON_LOUPE_22);
        buttonReverser.setIcon(KakiIcones.ICON_DOSSIER_22);
        
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodDepense, "LIBELLE", "No Dépense", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "DATE_SAISIE", "Date", 74);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "MONTANT", "Montant", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "MONTANT_REVERSE", "Reversé", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "MONTANT_RESTE", "Reste", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		
		col = new ZEOTableModelColumn(eodDepense, "IMPUTATION", "Imputation", 65);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "UB", "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "CR", "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		
		col = new ZEOTableModelColumn(eodDepense, "SOUS_CR", "SOUS CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "LOLF_CODE", "LOLF", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "CAN_CODE", "CANAL", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "CONVENTION", "CONV", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

//		col = new ZEOTableModelColumn(eodDepense, "depensePapier.modePaiement.modCode", "Paiement", 45);
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, "UTILISATEUR", "Utilisateur", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
                
		myTableModelDepense = new ZEOTableModel(eodDepense, myCols);
		myTableSorterDepense = new TableSorter(myTableModelDepense);

		myEOTableDepense= new ZEOTable(myTableSorterDepense);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterDepense.setTableHeader(myEOTableDepense.getTableHeader());		

		myEOTableDepense.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableDepense.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableDepense.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableDepenses.setLayout(new BorderLayout());
		viewTableDepenses.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableDepenses.removeAll();
		viewTableDepenses.add(new JScrollPane(myEOTableDepense), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTableDepense() {
		return myEOTableDepense;
	}

	public void setMyEOTableDepense(ZEOTable myEOTableDepense) {
		this.myEOTableDepense = myEOTableDepense;
	}

	public javax.swing.JButton getButtonDelLbud() {
		return buttonDelLbud;
	}

	public void setButtonDelLbud(javax.swing.JButton buttonDelLbud) {
		this.buttonDelLbud = buttonDelLbud;
	}

	public javax.swing.JButton getButtonFind() {
		return buttonFind;
	}

	public void setButtonFind(javax.swing.JButton buttonFind) {
		this.buttonFind = buttonFind;
	}

	public javax.swing.JButton getButtonGetLbud() {
		return buttonGetLbud;
	}

	public void setButtonGetLbud(javax.swing.JButton buttonGetLbud) {
		this.buttonGetLbud = buttonGetLbud;
	}

	public javax.swing.JButton getButtonReverser() {
		return buttonReverser;
	}

	public void setButtonReverser(javax.swing.JButton buttonReverser) {
		this.buttonReverser = buttonReverser;
	}

	public javax.swing.JComboBox getListeExcercices() {
		return listeExcercices;
	}

	public void setListeExcercices(javax.swing.JComboBox listeExcercices) {
		this.listeExcercices = listeExcercices;
	}

	public javax.swing.JTextField getTfFiltreBordereau() {
		return tfFiltreBordereau;
	}

	public void setTfFiltreBordereau(javax.swing.JTextField tfFiltreBordereau) {
		this.tfFiltreBordereau = tfFiltreBordereau;
	}

	public javax.swing.JTextField getTfFiltreCompte() {
		return tfFiltreCompte;
	}

	public void setTfFiltreCompte(javax.swing.JTextField tfFiltreCompte) {
		this.tfFiltreCompte = tfFiltreCompte;
	}

	public javax.swing.JTextField getTfFiltreEngagement() {
		return tfFiltreEngagement;
	}

	public void setTfFiltreEngagement(javax.swing.JTextField tfFiltreEngagement) {
		this.tfFiltreEngagement = tfFiltreEngagement;
	}

	public javax.swing.JTextField getTfFiltreLibelleFacture() {
		return tfFiltreLibelleFacture;
	}

	public void setTfFiltreLibelleFacture(
			javax.swing.JTextField tfFiltreLibelleFacture) {
		this.tfFiltreLibelleFacture = tfFiltreLibelleFacture;
	}

	public javax.swing.JTextField getTfFiltreMandat() {
		return tfFiltreMandat;
	}

	public void setTfFiltreMandat(javax.swing.JTextField tfFiltreMandat) {
		this.tfFiltreMandat = tfFiltreMandat;
	}

	public javax.swing.JTextField getTfLigneBudgetaire() {
		return tfLigneBudgetaire;
	}

	public void setTfLigneBudgetaire(javax.swing.JTextField tfLigneBudgetaire) {
		this.tfLigneBudgetaire = tfLigneBudgetaire;
	}

	public javax.swing.JLabel getTfNbDepenses() {
		return tfNbDepenses;
	}

	public void setTfNbDepenses(javax.swing.JLabel tfNbDepenses) {
		this.tfNbDepenses = tfNbDepenses;
	}

	public javax.swing.JPanel getViewTableDepenses() {
		return viewTableDepenses;
	}

	public void setViewTableDepenses(javax.swing.JPanel viewTableDepenses) {
		this.viewTableDepenses = viewTableDepenses;
	}


    
    
}
